# Market Parameters

Assigned to each market in Pingu's contracts.

| Parameter               | Type      | Description                                                                                 |
| ----------------------- | --------- | ------------------------------------------------------------------------------------------- |
| name                    | `string`  | Market's full name.                                                                         |
| category                | `string`  | `crypto`, `fx`, `commodities`, or `indices`.                                                |
| maxLeverage             | `uint256` | The maximum leverage allowed on this market.                                                |
| maxDeviation            | `uint256` | Maximum distance the DON price must be from the the Chainlink price. In basis points (bps). |
| fee                     | `uint256` | In bps.                                                                                     |
| liqThreshold            | `uint256` | A position that reaches this amount of loss on its margin can be liquidated. In bps.        |
| allowChainlinkExecution | `boolean` | Allow anyone to execute pending orders using Chainlink after a cooldown period has passed.  |
| isClosed                | `boolean` | Whether the market is closed (e.g. weekends).                                               |
| isReduceOnly            | `boolean` | Whether the market accepts only reduce-only orders.                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pingu.exchange/pingu-exchange-docs/trade/markets/market-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
